import { Layout } from "ant-design-vue";
import { defineComponent } from "vue";
import PageMenu from "./PageMenu";
import PageHeader from "./PageHeader";

export default defineComponent({
  setup() {
    return () => (
      <Layout class="h-100vh">
        <PageHeader />
        <Layout>
          <Layout.Sider>
            <PageMenu class="h-full" />
          </Layout.Sider>
          <Layout.Content>
            <router-view />
          </Layout.Content>
        </Layout>
      </Layout>
    );
  },
});
