import { createRouter, createWebHashHistory, RouteRecordRaw } from "vue-router";

const routes: Array<RouteRecordRaw> = [
  {
    path: "/",
    name: "index",
    redirect: "/count",
  },
  {
    path: "/count",
    name: "count",
    component: () => import("./Count"),
  },
];

const router = createRouter({
  history: createWebHashHistory(),
  routes,
});

export default router;
